## PlumaStatusbar

PlumaStatusbar

## Functions

GtkWidget * | pluma_statusbar_new ()
void | pluma_statusbar_set_window_state ()
void | pluma_statusbar_set_overwrite ()
void | pluma_statusbar_set_cursor_position ()
void | pluma_statusbar_clear_overwrite ()
void | pluma_statusbar_flash_message ()

## Types and Values

| PlumaStatusbarPrivate
struct | PlumaStatusbar
#define | PlumaStatus

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkHBox
                                ╰── GtkStatusbar
                                    ╰── PlumaStatusbar

## Implemented Interfaces

PlumaStatusbar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### pluma_statusbar_new ()

    GtkWidget *
    pluma_statusbar_new (void);

Creates a new PlumaStatusbar.

#### Returns

the new PlumaStatusbar object

### pluma_statusbar_set_window_state ()

    void
    pluma_statusbar_set_window_state (PlumaStatusbar *statusbar,
                                      PlumaWindowState state,
                                      gint num_of_errors);

### pluma_statusbar_set_overwrite ()

    void
    pluma_statusbar_set_overwrite (PlumaStatusbar *statusbar,
                                   gboolean overwrite);

Sets the overwrite mode on the statusbar.

#### Parameters

statusbar | a PlumaStatusbar |
overwrite | if the overwrite mode is set |

### pluma_statusbar_set_cursor_position ()

    void
    pluma_statusbar_set_cursor_position (PlumaStatusbar *statusbar,
                                         gint line,
                                         gint col);

### pluma_statusbar_clear_overwrite ()

    void
    pluma_statusbar_clear_overwrite (PlumaStatusbar *statusbar);

### pluma_statusbar_flash_message ()

    void
    pluma_statusbar_flash_message (PlumaStatusbar *statusbar,
                                   guint context_id,
                                   const gchar *format,
                                   ...);

Flash a temporary message on the statusbar.

#### Parameters

statusbar | a PlumaStatusbar |
context_id | message context_id |
format | message to flash on the statusbar |

## Types and Values

### PlumaStatusbarPrivate

    typedef struct _PlumaStatusbarPrivate PlumaStatusbarPrivate;

### struct PlumaStatusbar

    struct PlumaStatusbar;

### PlumaStatus

    #define PlumaStatus gint